Skip to content
  • GET /api/v1/sqlite/kv β€” List keys
  • GET /api/v1/sqlite/kv/{key} β€” Get value by key
  • PUT /api/v1/sqlite/kv/{key} β€” Set value for key
  • DELETE /api/v1/sqlite/kv/{key} β€” Delete key
  • HEAD /api/v1/sqlite/kv/{key} β€” Check if key exists
  • POST /api/v1/sqlite/kv/{key}/decr β€” Atomic decrement
  • GET /api/v1/sqlite/kv/{key}/history β€” Get key operation history
  • POST /api/v1/sqlite/kv/{key}/incr β€” Atomic increment
  • POST /api/v1/sqlite/kv/{key}/pop β€” Remove from array end
  • POST /api/v1/sqlite/kv/{key}/push β€” Append to array
  • POST /api/v1/sqlite/kv/{key}/remove β€” Remove array element
  • POST /api/v1/sqlite/kv/{key}/rollback β€” Rollback key operations
  • GET /api/v1/sqlite/kv/{key}/snapshot β€” Get key snapshot at operation
  • POST /api/v1/sqlite/kv/batch/delete β€” Batch delete multiple keys
  • POST /api/v1/sqlite/kv/batch/get β€” Batch get multiple keys
  • POST /api/v1/sqlite/kv/batch/set β€” Batch set multiple keys
  • GET /api/v1/sqlite/kv/diff β€” Compare table snapshots
  • POST /api/v1/sqlite/kv/rollback β€” Rollback entire table
  • GET /api/v1/sqlite/kv/snapshot β€” Get table snapshot at timestamp
Terminal window
# CLI mapping will be generated from the SDK CLI sources in a later step.
# Example (placeholder):
# hoody-cli <command> --help